# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
dirac::StreamPicOutput Class Referenceabstract

Class for outputting pictures. More...

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamPicOutput:

## Public Member Functions
| StreamPicOutput (std::ostream *op_ptr, const SourceParams &sp)
| Constructor. More...
virtual | ~StreamPicOutput ()
| virtual Destructor More...
virtual bool | WriteToNextFrame (const Picture &myframe)=0
| Write a picture to the next frame to be output. More...
SourceParams & | GetSourceParams ()
| Get the source parameters. More...

## Protected Member Functions
| StreamPicOutput ()
| Body-less default Constructor. More...

## Protected Attributes
SourceParams | m_sparams
| Source parameters. More...
std::ostream * | m_op_pic_ptr
| Output stream. More...

## Detailed Description

Abstract base class for classes that output frames to stream

## Constructor & Destructor Documentation

dirac::StreamPicOutput::StreamPicOutput | ( | std::ostream * | op_ptr,
|  | const SourceParams & | sp
| ) |  |

Constructor, takes

Parameters

  op_ptr | the output stream object
  sp | the source parameters

virtual dirac::StreamPicOutput::~StreamPicOutput | ( |  | ) |
| virtual

dirac::StreamPicOutput::StreamPicOutput | ( |  | ) |
| protected

## Member Function Documentation

SourceParams& dirac::StreamPicOutput::GetSourceParams | ( |  | ) |
| inline

References m_sparams.

Referenced by dirac::MemoryStreamOutput::GetSourceParams().

virtual bool dirac::StreamPicOutput::WriteToNextFrame | ( | const Picture & | myframe | ) |
| pure virtual

Implemented in dirac::StreamFieldOutput, and dirac::StreamFrameOutput.

## Member Data Documentation

std::ostream* dirac::StreamPicOutput::m_op_pic_ptr
| protected

SourceParams dirac::StreamPicOutput::m_sparams
| protected

Referenced by GetSourceParams().

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.